package spring.sample.dao.sample;

import java.util.List;

import org.springframework.dao.DataAccessException;

/**
 * SampleDAOはインテグレーション層のインタフェースです。<br>
 * <br>
 * @author MBeans
 * @version 1.0
 */
public interface SampleDAO {
	
	public List findPersons() throws DataAccessException;

	public Person findPerson(String id) throws DataAccessException;
	
	public void addPerson(Person person) throws DataAccessException;

	public int updatePerson(Person person) throws DataAccessException;
	
	public int deletePerson(Person person) throws DataAccessException;
}
